# Uses of Enum Class
net.shibboleth.idp.authn.config.LDAPAuthenticationFactoryBean.TrustType

Packages that use LDAPAuthenticationFactoryBean.TrustType
Package
Description
net.shibboleth.idp.authn.config
Configuration touchpoints for authentication flows.

## Uses of LDAPAuthenticationFactoryBean.TrustType in net.shibboleth.idp.authn.config

Fields in net.shibboleth.idp.authn.config declared as LDAPAuthenticationFactoryBean.TrustType
Modifier and Type
Field
Description
`private LDAPAuthenticationFactoryBean.TrustType`
LDAPAuthenticationFactoryBean.`trustType`
Type of trust model to configure.
Methods in net.shibboleth.idp.authn.config that return LDAPAuthenticationFactoryBean.TrustType
Modifier and Type
Method
Description
`static LDAPAuthenticationFactoryBean.TrustType`
LDAPAuthenticationFactoryBean.TrustType.`fromLabel(String s)`
Returns the enum matching the input label.
`static LDAPAuthenticationFactoryBean.TrustType`
LDAPAuthenticationFactoryBean.TrustType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LDAPAuthenticationFactoryBean.TrustType[]`
LDAPAuthenticationFactoryBean.TrustType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.